searchData={"items":[{"type":"module","title":"SimpleTokenAuthentication","doc":"A plug that checks for presence of a simple token for authentication","ref":"SimpleTokenAuthentication.html"},{"type":"function","title":"SimpleTokenAuthentication.build_token_map/0","doc":"","ref":"SimpleTokenAuthentication.html#build_token_map/0"},{"type":"function","title":"SimpleTokenAuthentication.call/2","doc":"","ref":"SimpleTokenAuthentication.html#call/2"},{"type":"function","title":"SimpleTokenAuthentication.init/1","doc":"","ref":"SimpleTokenAuthentication.html#init/1"},{"type":"extras","title":"CHANGELOG","doc":"## [Unreleased]\n\n## [0.8.0] (2024-10-01)","ref":"changelog.html"},{"type":"extras","title":"Changed - CHANGELOG","doc":"* Remove support for Elixir 1.11, 1.12 and 1.13. Minimum is Elixir 1.14\n\n## [0.7.0] (2022-11-28)","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - CHANGELOG","doc":"* Upgrade dependencies\n * Clean up some docs\n * some internal code cleaning\n * ** Breaking **  Support Elixir 1.11 and above\n## [0.6.0] (2021-05-24)","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - CHANGELOG","doc":"* Upgrade dependencies\n * Adds the service name to the token identified into the conn under the key simple_token_auth_service\n * **Potentially Breaking** Depend on `persistent_term` for caching the config which requires OTP 21.2 minimum (http://erlang.org/doc/man/persistent_term.html)\n\n## [0.5.0] (2020-07-07)","ref":"changelog.html#changed"},{"type":"extras","title":"Changed - CHANGELOG","doc":"* Add supports for service specific token and log the service name in the metadata\n\nFor prior versions, please look at the commit log","ref":"changelog.html#changed"},{"type":"extras","title":"Readme","doc":"# SimpleTokenAuthentication\n\n[![Build Status](https://github.com/podium/simple_token_authentication/actions/workflows/ci.yml/badge.svg)](https://github.com/podium/simple_token_authentication/actions/workflows/ci.yml) [![Hex.pm](https://img.shields.io/hexpm/v/simple_token_authentication.svg)](https://hex.pm/packages/simple_token_authentication) [![Documentation](https://img.shields.io/badge/documentation-gray)](https://hexdocs.pm/simple_token_authentication)\n[![Total Download](https://img.shields.io/hexpm/dt/simple_token_authentication.svg)](https://hex.pm/packages/simple_token_authentication)\n[![License](https://img.shields.io/hexpm/l/simple_token_authentication.svg)](https://github.com/podium/simple_token_authentication/blob/master/LICENSE.md)","ref":"readme.html"},{"type":"extras","title":"Usage - Readme","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Phoenix Integration - Readme","doc":"Inside `web/router.ex` file, add plug to your pipeline like so:\n\n```elixir\ndefmodule MyApp.Router\n  use Phoenix.Router\n\n  pipeline :api do\n    plug SimpleTokenAuthentication\n  end\n\n  scope \"/\", MyApp do\n    pipe_through :api\n    get \"/hello\", HelloController, :hello\n  end\nend\n```","ref":"readme.html#phoenix-integration"},{"type":"extras","title":"Installation - Readme","doc":"1. Add `simple_token_authentication` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [{:simple_token_authentication, \"~> 0.6.0\"}]\nend\n```\n\n2. Ensure `simple_token_authentication` is started before your application:\n\n```elixir\ndef application do\n  [applications: [:simple_token_authentication]]\nend\n```\n\n3. Configure your token in `config.exs`:\n```elixir\nconfig :simple_token_authentication,\n  token: \"your-token-here\",\n  service_tokens: [\n    service_a: \"service-a-token\",\n    service_b: \"service-b-token\"\n  ]\n```\n\n4. Configure your connecting application to pass a token in the `authorization` header, e.g.:\n```elixir\nput_header(\"authorization\", \"your-token-here\")\n```","ref":"readme.html#installation"},{"type":"extras","title":"Notes - Readme","doc":"- Token value can be a comma-separated list of tokens\n- Specifying `service_tokens` is optional\n- Auth will succeed if token exists in *either* list (`token` or `service_tokens`)\n- Use of a service token will add \"service_name\" to `Logging.metadata`\n- Service can be identified in the conn.assigns[:simple_token_auth_service]. Will be the name of the service or :global when matching the token key","ref":"readme.html#notes"},{"type":"extras","title":"Copyright and License - Readme","doc":"Copyright (c) 2016 Podium\n\nThis work is free. You can redistribute it and/or modify it under the\nterms of the MIT License. See the [LICENSE.md](./LICENSE.md) file for more details.","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}